# coding=utf-8
from pattern.vector import Document, Model, HIERARCHICAL, KMEANS, COSINE, MANHATTAN, RANDOM, Cluster

d1 = Document("writing, death, soul, dreams, universe, music, we’re, you’re, I’ve, I’ll", name="moreOpen")
d2 = Document("writing, about art, and emoticons", name="alsoOpen")
d3 = Document("cant wait, u, wen, mga, miss u, dont, wat, ur, 2day, every 1", name="lessOpen")
	# from: http://www.wwbp.org/personality-wc.html

m = Model((d1, d2, d3))

print
print "---------------"
kmeans = m.cluster(method=KMEANS, k=2, seed=RANDOM) 
print "kmeans cluster --> ",kmeans
print "---------------"

hierarchical = m.cluster(method=HIERARCHICAL, k=2, distance=COSINE) 
print "hierarchical cluster --> ", hierarchical
print "---------------"

	# method --> KMEANS / HIERARCHICAL
	# k --> amount of clusters wanted
	# seed --> position of the centroids --> RANDOM / KMPP
		# (The KMPP or k-means++ initialization algorithm can be used to find better centroids.) 
	# distance parameter can be COSINE (default), EUCLIDEAN, MANHATTAN or HAMMING


print "hierarchical cluster depth --> ", hierarchical.depth 
print "---------------"
print

# (from: http://www.clips.ua.ac.be/pages/pattern-vector#cluster)